services:
  rtsp_proxy:
    image: bluenviron/mediamtx:latest-ffmpeg
    container_name: rtsp_proxy
    network_mode: host
    volumes:
      - ./mediamtx.yml:/mediamtx.yml
#    ports:
#      - 8554:8554
#      - 1935:1935
#      - 8888:8888
#      - 8889:8889
#      - 8890:8890/udp
    restart: unless-stopped
    environment:
#      - MTX_PROTOCOLS=tcp
      - MTX_API=true
